﻿using System;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.WebForms;

namespace _8905
{
    public partial class WebForm1 : System.Web.UI.Page
    {       
        protected void Page_Load(object sender, EventArgs e)
        {
            String GoogleKey = "";

            if (!IsPostBack)
            {                
                Map1.MapUnit = GeographyUnit.Meter;
                
                GoogleOverlay googleOverlay = new GoogleOverlay();
                googleOverlay.IsBaseOverlay = true;                
                googleOverlay.GoogleMapType = GoogleMapType.Normal;
                googleOverlay.JavaScriptLibraryUri = new Uri("http://maps.google.com/maps/api/js?sensor=false&key=" + GoogleKey);
                googleOverlay.IsVisibleInOverlaySwitcher = true;           
                Map1.CustomOverlays.Add(googleOverlay);

                Map1.CurrentExtent = new RectangleShape(-20000000, 20000000, 20000000, -20000000);
            }
        }
    }
}